<?
/*
=============================================
Движок:  SHCMS Engine
=============================================
Название файла: Добавление Новости
=============================================
Official website: http://shcms.ru
=============================================
*/

define('SHCMS', true);
include_once'../system/inc/basic_settings.php';

$shcmsengine['title'] = 'Добавить новость';
include_once'../template/head.php';
$adminka->admin();
if(isset($_POST['submit'])){
$submit = $_POST['submit'];}
if(isset($submit))
{
if(isset($_POST['title']))
{$title = $_POST['title'];}
if(isset($_POST['text']))
{$text= $_POST['text'];}
if(isset($_POST['comm_news']))
{$comm_news= $_POST['comm_news'];}

$title = htmlspecialchars($title);
$text = htmlspecialchars($text);
$title = stripslashes($title);


if(strlen($title) <0 || strlen($title) >100){
echo '<div class="errors">Заголовок должно быть не больше 100 символов</div>';
include_once'../template/foot.php';
exit();}

if(empty($title) or empty($text)){
echo '<div class="errors">Заполните все поля</div>';
include_once'../template/foot.php';
exit();}
}

if(isset($title) && isset($text)){
$shcms_my = mysql_query("INSERT INTO `uncos` (`title`,`text`,`time`,`user_id`,`komm`) VALUES ('$title','$text','$time_date','$user_id','$comm_news')");
if($shcms_my == true)
{
echo '<div class="actshcms">Новость успешно опубликовано.</div>';
echo '<div class="uncom"><a href="/uncos/">Назад</a></div>';
include_once'../template/foot.php';exit();}
else{'<div class="errors">Ошибка добавление новости.</div>';}

}
echo '<form action=?'.$conservation.' method="post" name="form">';
echo 'Заголовок:*<br/><input type="text" name="title"/><br/>';
echo 'Комментарии к новости:<br/>
<select name="comm_news">
  <option value="0">Разрешить</option>
  <option value="1">Запретить</option>
</select><br/>';
if($brodilka == "web")
{
					   echo '<div class="border_message">';
                    $text_list->text_lister();
}
            echo '<textarea name="text"></textarea><br/>';
$form->textarea('Добавить',false);

echo '<div class="link_str"><a href="/uncos/">Назад<a></div>';

include_once'../template/foot.php';
?>